var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/* @flow */
import { Platform, NativeModules, Share } from 'react-native';
const { RNShareFile } = NativeModules;
const sharePDF = (base64Data, documentFileName) => __awaiter(void 0, void 0, void 0, function* () {
    var _a;
    try {
        yield ((_a = Platform.select({
            ios: () => __awaiter(void 0, void 0, void 0, function* () {
                yield Share.share({
                    url: `data:application/pdf;base64,${base64Data}`,
                });
            }),
            android: () => __awaiter(void 0, void 0, void 0, function* () {
                yield RNShareFile.share(base64Data, documentFileName);
            }),
        })) === null || _a === void 0 ? void 0 : _a());
    }
    catch (err) {
        throw new Error('unknown error');
    }
});
export default sharePDF;
